package org.galaxy.utility.fragmentanalyser;


/*
 * Exception thrown when the internal structure of the Model Fragment of meta data or file
 * does not comply with specification
 */
public class MalformedFragmentException extends Exception {
	
	private String message;

	public MalformedFragmentException(String message) {
		this.message = message;
	}

	@Override
	public String getMessage() {
		return message;
	}

	@Override
	public String getLocalizedMessage() {
		return message;
	}
}
