<?php

class Application_Form_Role extends Zend_Form
{

	
	public function createContent($edition){

				$this->setName('Role');


				$this->addElementPrefixPath('My_Decorator',APPLICATION_PATH.'/forms/decorator','decorator');

		        $id = new Zend_Form_Element_Hidden('id');
		        $id->addFilter('Int');


		        $name = new Zend_Form_Element_Text('name');
		        $name->setLabel('Name')
		               ->setRequired(true)
		               ->addFilter('StripTags')
		               ->addFilter('StringTrim')
		               ->addValidator('NotEmpty')
					   ->setDecorators(array('Composite'))
					   ->removeDecorator('Errors');
		        
		        $description = new Zend_Form_Element_Textarea('description');
		        $description->setLabel('Description')
		        ->addFilter('StripTags')
		        ->addFilter('StringTrim')
		        ->setDecorators(array('Composite'))
		        ->removeDecorator('Errors');

		        $category = new Zend_Form_Element_Select('category');
		        $category->setLabel('Category')
		        ->addFilter('StripTags')
		        ->addFilter('StringTrim')
		        ->setMultiOptions(array('Category 1'=>'Category 1', 'Category 2'=>'Category 2', 'Category 3'=>'Category 3','Category 4'=>'Category 4'))
		        ->setDecorators(array('Composite'))
		        ->removeDecorator('Errors');
					   
		        $submit = new Zend_Form_Element_Submit('submit');
		        $submit->setAttrib('id', 'submitbutton');

        		$this->addElements(array($name, $description ,$category,$id,$submit));
	}
	
	public function init()
    {
    		
    }

}

?>