--<ScriptOptions statementTerminator=";"/>

ALTER TABLE PROJECTPARTICIPANT DROP CONSTRAINT PRJCTPRPRJCTPRJCTD;

ALTER TABLE DEPENDENCIES DROP CONSTRAINT DPNFKWNRMDLFRGMNTD;

ALTER TABLE WORKGROUP_PARTICIPANT DROP CONSTRAINT WRKGRPPRTFKWRKGRPD;

ALTER TABLE DEPENDENCIES DROP CONSTRAINT DPNDNCFKMDLFRGMNTD;

ALTER TABLE PROJECT_ROLE DROP CONSTRAINT PRJECTROLEFKROLEID;

ALTER TABLE PROJECT_ROLE DROP CONSTRAINT PRJCTROLEFKPRJCTID;

ALTER TABLE PROJECTPARTICIPANT DROP CONSTRAINT PRJPRTCPNTPRTCPNTD;

ALTER TABLE WORKGROUP_FRAGMENT DROP CONSTRAINT WRKGRPFRGMNGKGLXYD;

ALTER TABLE PROJECTPARTICIPANT DROP CONSTRAINT PRJCTPRTCPANTRLRLD;

ALTER TABLE WORKGROUP_FRAGMENT DROP CONSTRAINT WRKGRPFRGFKWRKGRPD;

ALTER TABLE WORKGROUP_PARTICIPANT DROP CONSTRAINT WRKGRPPRFKPRTCPNTD;

ALTER TABLE ROLE DROP CONSTRAINT SQL120321152737460;

ALTER TABLE WORKGROUP DROP CONSTRAINT SQL120321152737550;

ALTER TABLE WORKGROUP_FRAGMENT DROP CONSTRAINT SQL120321152738100;

ALTER TABLE PROJECT_ROLE DROP CONSTRAINT SQL120321152737890;

ALTER TABLE PROJECTPARTICIPANT DROP CONSTRAINT SQL120321152737780;

ALTER TABLE WORKGROUP_PARTICIPANT DROP CONSTRAINT SQL120321152738210;

ALTER TABLE PARTICIPANT DROP CONSTRAINT SQL120321152737660;

ALTER TABLE SEQUENCE DROP CONSTRAINT SQL120321152739830;

ALTER TABLE DEPENDENCIES DROP CONSTRAINT SQL120321152737990;

ALTER TABLE PROJECT DROP CONSTRAINT SQL120321152737160;

ALTER TABLE MODELFRAGMENT DROP CONSTRAINT SQL120321152737320;

DROP INDEX SQL120321152737160;

DROP INDEX SQL120321152739230;

DROP INDEX SQL120321152738330;

DROP INDEX SQL120321152737890;

DROP INDEX SQL120321152738750;

DROP INDEX SQL120321152738840;

DROP INDEX SQL120321152739750;

DROP INDEX SQL120321152738100;

DROP INDEX SQL120321152738570;

DROP INDEX SQL120321152738210;

DROP INDEX SQL120321152737780;

DROP INDEX SQL120321152738480;

DROP INDEX SQL120321152739140;

DROP INDEX SQL120321152739830;

DROP INDEX SQL120321152738930;

DROP INDEX SQL120321152737990;

DROP INDEX SQL120321152737320;

DROP INDEX SQL120321152737550;

DROP INDEX SQL120321152738670;

DROP INDEX SQL120321152737660;

DROP INDEX SQL120321152739470;

DROP INDEX SQL120321152737460;

DROP TABLE PROJECTPARTICIPANT;

DROP TABLE SEQUENCE;

DROP TABLE PARTICIPANT;

DROP TABLE WORKGROUP_FRAGMENT;

DROP TABLE MODELFRAGMENT;

DROP TABLE DEPENDENCIES;

DROP TABLE PROJECT;

DROP TABLE WORKGROUP_PARTICIPANT;

DROP TABLE WORKGROUP;

DROP TABLE PROJECT_ROLE;

DROP TABLE ROLE;

CREATE TABLE PROJECTPARTICIPANT (
		PARTICIPANT_PARTICIPANTID INTEGER NOT NULL,
		PROJECT_PROJECTID INTEGER NOT NULL,
		ROLE_ROLEID INTEGER NOT NULL
	);

CREATE TABLE SEQUENCE (
		SEQ_NAME VARCHAR(50) NOT NULL,
		SEQ_COUNT DECIMAL(15 , 0)
	);

CREATE TABLE PARTICIPANT (
		PARTICIPANTID INTEGER NOT NULL,
		ADDRESS VARCHAR(255),
		COUNTRY VARCHAR(255),
		EMAIL VARCHAR(255),
		FIRSTNAME VARCHAR(255),
		LASTNAME VARCHAR(255),
		ORGANISATION VARCHAR(255),
		PHONE VARCHAR(255)
	);

CREATE TABLE WORKGROUP_FRAGMENT (
		GK_GALAXYID INTEGER NOT NULL,
		FK_WORKGROUPID INTEGER NOT NULL
	);

CREATE TABLE MODELFRAGMENT (
		MODELFRAGMENTID INTEGER NOT NULL,
		DESCRIPTION VARCHAR(255),
		GALAXYID VARCHAR(255),
		NAME VARCHAR(255),
		VERSION VARCHAR(255)
	);

CREATE TABLE DEPENDENCIES (
		FK_MODELFRAGMENTID INTEGER NOT NULL,
		FK_OWNERMODELFRAGMENTID INTEGER NOT NULL
	);

CREATE TABLE PROJECT (
		PROJECTID INTEGER NOT NULL,
		DESCRIPTION VARCHAR(255),
		ENDDATE VARCHAR(255),
		NAME VARCHAR(255),
		STARTDATE VARCHAR(255)
	);

CREATE TABLE WORKGROUP_PARTICIPANT (
		FK_WORKGROUPID INTEGER NOT NULL,
		FK_PARTICIPANTID INTEGER NOT NULL
	);

CREATE TABLE WORKGROUP (
		WORKGROUPID INTEGER NOT NULL,
		DESCRIPTION VARCHAR(255),
		NAME VARCHAR(255)
	);

CREATE TABLE PROJECT_ROLE (
		FK_PROJECTID INTEGER NOT NULL,
		FK_ROLEID INTEGER NOT NULL
	);

CREATE TABLE ROLE (
		ROLEID INTEGER NOT NULL,
		CATEGORY VARCHAR(255),
		DESCRIPTION VARCHAR(255),
		NAME VARCHAR(255)
	);

CREATE UNIQUE INDEX SQL120321152737160 ON PROJECT (PROJECTID ASC);

CREATE INDEX SQL120321152739230 ON WORKGROUP_FRAGMENT (GK_GALAXYID ASC);

CREATE INDEX SQL120321152738330 ON PROJECTPARTICIPANT (PROJECT_PROJECTID ASC);

CREATE UNIQUE INDEX SQL120321152737890 ON PROJECT_ROLE (FK_PROJECTID ASC, FK_ROLEID ASC);

CREATE INDEX SQL120321152738750 ON PROJECT_ROLE (FK_PROJECTID ASC);

CREATE INDEX SQL120321152738840 ON DEPENDENCIES (FK_OWNERMODELFRAGMENTID ASC);

CREATE INDEX SQL120321152739750 ON WORKGROUP_PARTICIPANT (FK_PARTICIPANTID ASC);

CREATE UNIQUE INDEX SQL120321152738100 ON WORKGROUP_FRAGMENT (GK_GALAXYID ASC, FK_WORKGROUPID ASC);

CREATE INDEX SQL120321152738570 ON PROJECTPARTICIPANT (PARTICIPANT_PARTICIPANTID ASC);

CREATE UNIQUE INDEX SQL120321152738210 ON WORKGROUP_PARTICIPANT (FK_WORKGROUPID ASC, FK_PARTICIPANTID ASC);

CREATE UNIQUE INDEX SQL120321152737780 ON PROJECTPARTICIPANT (PARTICIPANT_PARTICIPANTID ASC, PROJECT_PROJECTID ASC, ROLE_ROLEID ASC);

CREATE INDEX SQL120321152738480 ON PROJECTPARTICIPANT (ROLE_ROLEID ASC);

CREATE INDEX SQL120321152739140 ON WORKGROUP_FRAGMENT (FK_WORKGROUPID ASC);

CREATE UNIQUE INDEX SQL120321152739830 ON SEQUENCE (SEQ_NAME ASC);

CREATE INDEX SQL120321152738930 ON DEPENDENCIES (FK_MODELFRAGMENTID ASC);

CREATE UNIQUE INDEX SQL120321152737990 ON DEPENDENCIES (FK_MODELFRAGMENTID ASC, FK_OWNERMODELFRAGMENTID ASC);

CREATE UNIQUE INDEX SQL120321152737320 ON MODELFRAGMENT (MODELFRAGMENTID ASC);

CREATE UNIQUE INDEX SQL120321152737550 ON WORKGROUP (WORKGROUPID ASC);

CREATE INDEX SQL120321152738670 ON PROJECT_ROLE (FK_ROLEID ASC);

CREATE UNIQUE INDEX SQL120321152737660 ON PARTICIPANT (PARTICIPANTID ASC);

CREATE INDEX SQL120321152739470 ON WORKGROUP_PARTICIPANT (FK_WORKGROUPID ASC);

CREATE UNIQUE INDEX SQL120321152737460 ON ROLE (ROLEID ASC);

ALTER TABLE ROLE ADD CONSTRAINT SQL120321152737460 PRIMARY KEY (ROLEID);

ALTER TABLE WORKGROUP ADD CONSTRAINT SQL120321152737550 PRIMARY KEY (WORKGROUPID);

ALTER TABLE WORKGROUP_FRAGMENT ADD CONSTRAINT SQL120321152738100 PRIMARY KEY (GK_GALAXYID, FK_WORKGROUPID);

ALTER TABLE PROJECT_ROLE ADD CONSTRAINT SQL120321152737890 PRIMARY KEY (FK_PROJECTID, FK_ROLEID);

ALTER TABLE PROJECTPARTICIPANT ADD CONSTRAINT SQL120321152737780 PRIMARY KEY (PARTICIPANT_PARTICIPANTID, PROJECT_PROJECTID, ROLE_ROLEID);

ALTER TABLE WORKGROUP_PARTICIPANT ADD CONSTRAINT SQL120321152738210 PRIMARY KEY (FK_WORKGROUPID, FK_PARTICIPANTID);

ALTER TABLE PARTICIPANT ADD CONSTRAINT SQL120321152737660 PRIMARY KEY (PARTICIPANTID);

ALTER TABLE SEQUENCE ADD CONSTRAINT SQL120321152739830 PRIMARY KEY (SEQ_NAME);

ALTER TABLE DEPENDENCIES ADD CONSTRAINT SQL120321152737990 PRIMARY KEY (FK_MODELFRAGMENTID, FK_OWNERMODELFRAGMENTID);

ALTER TABLE PROJECT ADD CONSTRAINT SQL120321152737160 PRIMARY KEY (PROJECTID);

ALTER TABLE MODELFRAGMENT ADD CONSTRAINT SQL120321152737320 PRIMARY KEY (MODELFRAGMENTID);

ALTER TABLE PROJECTPARTICIPANT ADD CONSTRAINT PRJCTPRPRJCTPRJCTD FOREIGN KEY (PROJECT_PROJECTID)
	REFERENCES PROJECT (PROJECTID);

ALTER TABLE DEPENDENCIES ADD CONSTRAINT DPNFKWNRMDLFRGMNTD FOREIGN KEY (FK_OWNERMODELFRAGMENTID)
	REFERENCES MODELFRAGMENT (MODELFRAGMENTID);

ALTER TABLE WORKGROUP_PARTICIPANT ADD CONSTRAINT WRKGRPPRTFKWRKGRPD FOREIGN KEY (FK_WORKGROUPID)
	REFERENCES WORKGROUP (WORKGROUPID);

ALTER TABLE DEPENDENCIES ADD CONSTRAINT DPNDNCFKMDLFRGMNTD FOREIGN KEY (FK_MODELFRAGMENTID)
	REFERENCES MODELFRAGMENT (MODELFRAGMENTID);

ALTER TABLE PROJECT_ROLE ADD CONSTRAINT PRJECTROLEFKROLEID FOREIGN KEY (FK_ROLEID)
	REFERENCES ROLE (ROLEID);

ALTER TABLE PROJECT_ROLE ADD CONSTRAINT PRJCTROLEFKPRJCTID FOREIGN KEY (FK_PROJECTID)
	REFERENCES PROJECT (PROJECTID);

ALTER TABLE PROJECTPARTICIPANT ADD CONSTRAINT PRJPRTCPNTPRTCPNTD FOREIGN KEY (PARTICIPANT_PARTICIPANTID)
	REFERENCES PARTICIPANT (PARTICIPANTID);

ALTER TABLE WORKGROUP_FRAGMENT ADD CONSTRAINT WRKGRPFRGMNGKGLXYD FOREIGN KEY (GK_GALAXYID)
	REFERENCES MODELFRAGMENT (MODELFRAGMENTID);

ALTER TABLE PROJECTPARTICIPANT ADD CONSTRAINT PRJCTPRTCPANTRLRLD FOREIGN KEY (ROLE_ROLEID)
	REFERENCES ROLE (ROLEID);

ALTER TABLE WORKGROUP_FRAGMENT ADD CONSTRAINT WRKGRPFRGFKWRKGRPD FOREIGN KEY (FK_WORKGROUPID)
	REFERENCES WORKGROUP (WORKGROUPID);

ALTER TABLE WORKGROUP_PARTICIPANT ADD CONSTRAINT WRKGRPPRFKPRTCPNTD FOREIGN KEY (FK_PARTICIPANTID)
	REFERENCES PARTICIPANT (PARTICIPANTID);

