package org.galaxy.service.modelfragment;

/**
 * Exception thrown when provided pattern  does not comply with standard syntax.
 */
public class InvalidPatternException extends Exception {
	
	private String message;

	public InvalidPatternException(String message) {
		this.message = message;
	}

	@Override
	public String getMessage() {
		return message;
	}

	@Override
	public String getLocalizedMessage() {
		return message;
	}
}
