package org.galaxy.utility.filerepository;


/**
 * Exception thrown when an error is triggered by manipulation of the file representing the model fragment
 */
public class IOFragmentException extends Exception {
	private String message;

	public IOFragmentException(String message) {
		this.message = message;
	}

	@Override
	public String getMessage() {
		return message;
	}

	@Override
	public String getLocalizedMessage() {
		return message;
	}
}
