<?php

class Application_Form_Project extends Zend_Form
{

	
	public function createContent($edition){

				$this->setName('Project');


				$this->addElementPrefixPath('My_Decorator',APPLICATION_PATH.'/forms/decorator','decorator');

		        $id = new Zend_Form_Element_Hidden('id');
		        $id->addFilter('Int');


		        $name = new Zend_Form_Element_Text('name');
		        $name->setLabel('Name')
		               ->setRequired(true)
		               ->addFilter('StripTags')
		               ->addFilter('StringTrim')
		               ->addValidator('NotEmpty')
					   ->setDecorators(array('Composite'))
					   ->removeDecorator('Errors');
		        
		        $description = new Zend_Form_Element_Textarea('description');
		        $description->setLabel('Description')
		        ->addFilter('StripTags')
		        ->addFilter('StringTrim')
		        ->setDecorators(array('Composite'))
		        ->removeDecorator('Errors');

				$startDate = new Zend_Form_Element_Text('startDate');
		        $startDate->setLabel('Start Date')
		               ->addFilter('StripTags')
		               ->addFilter('StringTrim')
					   ->setDecorators(array('Composite'))
					   ->removeDecorator('Errors');
					   

		        $endDate = new Zend_Form_Element_Text('endDate');
		        $endDate->setLabel('End Date')
		        ->addFilter('StripTags')
		        ->addFilter('StringTrim')
		        ->setDecorators(array('Composite'))
		        ->removeDecorator('Errors');

					   
		        $submit = new Zend_Form_Element_Submit('submit');
		        $submit->setAttrib('id', 'submitbutton');

        		$this->addElements(array($name, $description ,$startDate,$endDate,$id,$submit));
	}
	
	public function init()
    {
    		
    }

}

?>